summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-java/sax
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-java/sax')
-rw-r--r--dev-java/sax/Manifest1
-rw-r--r--dev-java/sax/metadata.xml8
-rw-r--r--dev-java/sax/sax-2.2.1-r2.ebuild38
3 files changed, 47 insertions, 0 deletions
diff --git a/dev-java/sax/Manifest b/dev-java/sax/Manifest
new file mode 100644
index 00000000000..571265f2af0
--- /dev/null
+++ b/dev-java/sax/Manifest
@@ -0,0 +1 @@
+DIST sax2r3.zip 372488 SHA256 f9221ba55b3b753cf900ef64dc588a1d6b2716f63440b0f1ab55fe9deb418272 SHA512 af05c14994894f0b6cd860c1d632a1148f43cef824081357c9e4b256e66e0f36ac3cba1838f03322182339f2642b4bf68f707407fba8ee6c2f95d5b8d1267648 WHIRLPOOL 5822d3aba16ccb8bde702f3817090d931c01b6bbb83fc4abf521d3a369599bc4a88707e37db6ef9abb074ddd0119b4b845d7d8c12e6eacd93f382f0acc01d9f2
diff --git a/dev-java/sax/metadata.xml b/dev-java/sax/metadata.xml
new file mode 100644
index 00000000000..2cfbf2b5202
--- /dev/null
+++ b/dev-java/sax/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>java</herd>
+ <upstream>
+ <remote-id type="sourceforge">sax</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-java/sax/sax-2.2.1-r2.ebuild b/dev-java/sax/sax-2.2.1-r2.ebuild
new file mode 100644
index 00000000000..1e4cbe80cdb
--- /dev/null
+++ b/dev-java/sax/sax-2.2.1-r2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-ant-2
+
+DESCRIPTION="Simple API for XML, originally a Java-only API. It was the first widely adopted API for XML in Java"
+
+HOMEPAGE="http://sax.sourceforge.net/"
+SRC_URI="mirror://sourceforge/sax/sax2r3.zip"
+LICENSE="public-domain"
+
+SLOT="0"
+KEYWORDS="amd64 ppc ppc64 x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
+IUSE=""
+
+DEPEND=">=virtual/jdk-1.4
+ app-arch/unzip"
+
+RDEPEND=">=virtual/jre-1.4"
+
+S="${WORKDIR}/sax2r3"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ rm -rf classes *.jar
+}
+
+src_install() {
+ java-pkg_newjar sax2.jar
+ dodoc ChangeLog CHANGES README || die
+
+ use doc && java-pkg_dojavadoc docs/javadoc
+ use source && java-pkg_dosrc "${S}"/src/*
+}